/* Problem URL: https://codeforces.com/problemset/gymProblem/105164/J */

#include <bits/stdc++.h>

using namespace std;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n, k;
    cin >> n >> k;

    string fds;
    cin >> fds;

    int inf = INT32_MAX >> 1;
    vvvi dp(n, vvi(k + 1, vi(n, inf)));

    dp[0][0][0] = 0;
    dp[0][1][0] = 0;

    nrep(i, 1, n) {
        fill(all(dp[i][0]), 0);
        fill(all(dp[i][1]), 0);
        if (k >= 2) {
            for (int j = i - 1; j >= 0; j--) {
                dp[i][2][j] = fds[i] != fds[j];
            }
        }

        for (int j = i - 2; j >= 0; j--) {
            for (int l = 2; l <= k; l++) {
                dp[i][l][j] = dp[i - 1][l][j];
                rmin(dp[i][l][j], dp[i - 1][l - 2][j + 1] + (fds[i] != fds[j]));
                rmin(dp[i][l][j], dp[i][l][j + 1]);
            }
        }
    }

    // for (auto &i : dp) {
    //     cout << i;
    //     cout << "------------------------------\n";
    // }

    cout << *min_element(all(dp[n - 1][k])) << '\n';
}
